--- Mesa-7.8.2/src/mesa/es/glapi/gl_parse_header.py.orig	2010-06-16 03:43:42.000000000 +1000
+++ Mesa-7.8.2/src/mesa/es/glapi/gl_parse_header.py	2010-12-06 15:46:41.000000000 +1100
@@ -106,7 +106,7 @@
         m = self.DEFINE.search(line)
         if not m:
             if self.verbose and line.find("#define") >= 0:
-                print "ignore %s" % (line)
+                print ("ignore %s" % (line))
             return None
 
         key = m.group("key").strip()
@@ -116,7 +116,7 @@
         if ((not (key.startswith("GL_") and key.isupper())) or
             (self.ignore_enum.match(key) and val == "1")):
             if self.verbose:
-                print "ignore enum %s" % (key)
+                print ("ignore enum %s" % (key))
             return None
 
         return (key, val)
@@ -126,14 +126,14 @@
         m = self.TYPEDEF.search(line)
         if not m:
             if self.verbose and line.find("typedef") >= 0:
-                print "ignore %s" % (line)
+                print ("ignore %s" % (line))
             return None
 
         f = m.group("from").strip()
         t = m.group("to").strip()
         if not t.startswith("GL"):
             if self.verbose:
-                print "ignore type %s" % (t)
+                print ("ignore type %s" % (t))
             return None
         attrs = self._get_ctype_attrs(f)
 
@@ -144,7 +144,7 @@
         m = self.GLAPI.search(line)
         if not m:
             if self.verbose and line.find("APIENTRY") >= 0:
-                print "ignore %s" % (line)
+                print ("ignore %s" % (line))
             return None
 
         rettype = m.group("return")
@@ -213,7 +213,7 @@
             lines = fp.readlines()
             fp.close()
         except IOError, e:
-            print "failed to read %s: %s" % (header, e)
+            print ("failed to read %s: %s" % (header, e))
         return lines
 
     def _cmp_enum(self, enum1, enum2):
@@ -287,7 +287,7 @@
             for i in dup:
                 e = cat["enums"].pop(i)
                 if self.verbose:
-                    print "remove duplicate enum %s" % e[0]
+                    print ("remove duplicate enum %s" % e[0])
 
             cat["types"].sort(self._cmp_type)
             cat["functions"].sort(self._cmp_function)
@@ -305,7 +305,7 @@
         self._reset()
 
         if self.verbose:
-            print "Parsing %s" % (header)
+            print ("Parsing %s" % (header))
 
         hdict = {}
         lines = self._read_header(header)
@@ -347,7 +347,7 @@
 
         if self.need_char:
             if self.verbose:
-                print "define GLchar"
+                print ("define GLchar")
             elem = self._parse_typedef("typedef char GLchar;")
             cat["types"].append(elem)
         return self._postprocess_dict(hdict)
@@ -364,7 +364,7 @@
     for i in xrange(len(hlist)):
         cat_name, cat = hlist[i]
 
-        print '<category name="%s">' % (cat_name)
+        print ('<category name="%s">' % (cat_name))
         indent = 4
 
         for enum in cat["enums"]:
@@ -372,10 +372,10 @@
             value = enum[1]
             tab = spaces(41, name)
             attrs = 'name="%s"%svalue="%s"' % (name, tab, value)
-            print '%s<enum %s/>' % (spaces(indent), attrs)
+            print ('%s<enum %s/>' % (spaces(indent), attrs))
 
         if cat["enums"] and cat["types"]:
-            print
+            print ('')
 
         for type in cat["types"]:
             ctype = type[0]
@@ -388,31 +388,31 @@
             elif not is_signed:
                 attrs += ' unsigned="true"'
 
-            print '%s<type %s/>' % (spaces(indent), attrs)
+            print ('%s<type %s/>' % (spaces(indent), attrs))
 
         for func in cat["functions"]:
-            print
+            print ('')
             ret = func[0]
             name = func[1][2:]
             params = func[2]
 
             attrs = 'name="%s" offset="assign"' % name
-            print '%s<function %s>' % (spaces(indent), attrs)
+            print ('%s<function %s>' % (spaces(indent), attrs))
 
             for param in params:
                 attrs = 'name="%s" type="%s"' % (param[1], param[0])
-                print '%s<param %s/>' % (spaces(indent * 2), attrs)
+                print ('%s<param %s/>' % (spaces(indent * 2), attrs))
             if ret:
                 attrs = 'type="%s"' % ret
-                print '%s<return %s/>' % (spaces(indent * 2), attrs)
+                print ('%s<return %s/>' % (spaces(indent * 2), attrs))
 
-            print '%s</function>' % spaces(indent)
+            print ('%s</function>' % spaces(indent))
 
-        print '</category>'
-        print
+        print ('</category>')
+        print ('')
 
 def show_usage():
-    print "Usage: %s [-v] <header> ..." % sys.argv[0]
+    print ("Usage: %s [-v] <header> ..." % sys.argv[0])
     sys.exit(1)
 
 def main():
@@ -435,16 +435,16 @@
         hlist = parser.parse(h)
 
         if need_xml_header:
-            print '<?xml version="1.0"?>'
-            print '<!DOCTYPE OpenGLAPI SYSTEM "%s/gl_API.dtd">' % GLAPI
+            print ('<?xml version="1.0"?>')
+            print ('<!DOCTYPE OpenGLAPI SYSTEM "%s/gl_API.dtd">' % GLAPI)
             need_xml_header = False
 
-        print
-        print '<!-- %s -->' % (h)
-        print '<OpenGLAPI>'
-        print
+        print ('')
+        print ('<!-- %s -->' % (h))
+        print ('<OpenGLAPI>')
+        print ('')
         output_xml(h, hlist)
-        print '</OpenGLAPI>'
+        print ('</OpenGLAPI>')
 
 if __name__ == '__main__':
     main()
--- Mesa-7.8.2/src/mesa/es/main/APIspec.py.orig	2010-06-16 03:43:42.000000000 +1000
+++ Mesa-7.8.2/src/mesa/es/main/APIspec.py	2010-12-06 15:45:38.000000000 +1100
@@ -431,7 +431,7 @@
         stmts = []
         for name in self.switches.iterkeys():
             c_switch = self._c_switch(name)
-            print "\n".join(c_switch)
+            print ("\n".join(c_switch))
 
 
 class Description(object):
@@ -610,7 +610,7 @@
 
     doc.freeDoc()
 
-    print "%s is successfully parsed" % filename
+    print ("%s is successfully parsed" % filename)
 
 
 if __name__ == "__main__":
--- Mesa-7.8.2/src/mesa/es/main/APIspecutil.py.orig	2010-06-16 03:43:42.000000000 +1000
+++ Mesa-7.8.2/src/mesa/es/main/APIspecutil.py	2010-12-06 15:45:28.000000000 +1100
@@ -61,7 +61,7 @@
         if not alias:
             # external functions are manually dispatched
             if not func.is_external:
-                print >>sys.stderr, "Error: unable to dispatch %s" % func.name
+                sys.stderr.write("Error: unable to dispatch %s\n" % func.name)
             alias = func
             need_conv = False
 
@@ -119,15 +119,15 @@
 
         items = desc.checker.switches.items()
         if len(items) > 1:
-            print >>sys.stderr, "%s: more than one parameter depend on %s" % \
-                    (func.name, desc.name)
+            sys.stderr.write("%s: more than one parameter depend on %s\n" % \
+                    (func.name, desc.name))
         dep_name, dep_switch = items[0]
 
         for dep_desc in dep_switch:
             if dep_desc.index >= 0 and dep_desc.index != 0:
-                print >>sys.stderr, "%s: not first element of a vector" % func.name
+                sys.stderr.write("%s: not first element of a vector\n" % func.name)
             if dep_desc.checker.switches:
-                print >>sys.stderr, "%s: deep nested dependence" % func.name
+                sys.stderr.write("%s: deep nested dependence\n" % func.name)
 
             convert = None if dep_desc.convert else "noconvert"
             for val in desc.values:
@@ -188,9 +188,9 @@
     if not size:
         need_conv = __aliases[func.name][1]
         if need_conv:
-            print >>sys.stderr, \
-                    "Error: unable to dicide the max size of %s in %s" % \
-                    (param.name, func.name)
+            sys.stderr.write( \
+                    "Error: unable to dicide the max size of %s in %s\n" % \
+                    (param.name, func.name))
     return size
 
 
--- Mesa-7.8.2/src/mesa/es/main/get_gen.py.orig	2010-06-16 03:43:42.000000000 +1000
+++ Mesa-7.8.2/src/mesa/es/main/get_gen.py	2010-12-06 15:29:50.000000000 +1100
@@ -585,22 +585,22 @@
 	else:
 		abort()
 
-	print "void GLAPIENTRY"
-	print "%s( GLenum pname, %s *params )" % (function, strType)
-	print "{"
-	print "   GET_CURRENT_CONTEXT(ctx);"
-	print "   ASSERT_OUTSIDE_BEGIN_END(ctx);"
-	print ""
-	print "   if (!params)"
-	print "      return;"
-	print ""
-	print "   if (ctx->NewState)"
-	print "      _mesa_update_state(ctx);"
-	print ""
-	print "   switch (pname) {"
+	print ("void GLAPIENTRY")
+	print ("%s( GLenum pname, %s *params )" % (function, strType))
+	print ("{")
+	print ("   GET_CURRENT_CONTEXT(ctx);")
+	print ("   ASSERT_OUTSIDE_BEGIN_END(ctx);")
+	print ("")
+	print ("   if (!params)")
+	print ("      return;")
+	print ("")
+	print ("   if (ctx->NewState)")
+	print ("      _mesa_update_state(ctx);")
+	print ("")
+	print ("   switch (pname) {")
 
 	for (name, varType, state, optionalCode, extensions) in stateVars:
-		print "      case " + name + ":"
+		print ("      case " + name + ":")
 		if extensions:
 			if len(extensions) == 1:
 				print ('         CHECK_EXT1(%s, "%s");' %
@@ -616,31 +616,31 @@
 				print ('         CHECK_EXT4(%s, %s, %s, %s, "%s");' %
 					   (extensions[0], extensions[1], extensions[2], extensions[3], function))
 		if optionalCode:
-			print "         {"
-			print "         " + optionalCode
+			print ("         {")
+			print ("         " + optionalCode)
 		conversion = ConversionFunc(varType, returnType)
 		n = len(state)
 		for i in range(n):
 			if conversion:
-				print "         params[%d] = %s(%s);" % (i, conversion, state[i])
+				print ("         params[%d] = %s(%s);" % (i, conversion, state[i]))
 			else:
-				print "         params[%d] = %s;" % (i, state[i])
+				print ("         params[%d] = %s;" % (i, state[i]))
 		if optionalCode:
-			print "         }"
-		print "         break;"
+			print ("         }")
+		print ("         break;")
 
-	print "      default:"
-	print '         _mesa_error(ctx, GL_INVALID_ENUM, "gl%s(pname=0x%%x)", pname);' % function
-	print "   }"
-	print "}"
-	print ""
+	print ("      default:")
+	print ('         _mesa_error(ctx, GL_INVALID_ENUM, "gl%s(pname=0x%%x)", pname);' % function)
+	print ("   }")
+	print ("}")
+	print ("")
 	return
 
 
 
 def EmitHeader():
 	"""Print the get.c file header."""
-	print """
+	print ("""
 /***
  ***  NOTE!!!  DO NOT EDIT THIS FILE!!!  IT IS GENERATED BY get_gen.py
  ***/
@@ -776,7 +776,7 @@
 void GLAPIENTRY
 _mesa_GetFixedv( GLenum pname, GLfixed *params );
 
-"""
+""")
 	return
 
 
@@ -797,7 +797,7 @@
 		API = 2
 	else:
 		API = 1
-	#print "len args = %d  API = %d" % (len(args), API)
+	#print ("len args = %d  API = %d" % (len(args), API))
 
 	if API == 1:
 		vars = StateVars_common + StateVars_es1
--- Mesa-7.8.2/src/mesa/glapi/gen/extension_helper.py.orig	2010-06-16 03:43:42.000000000 +1000
+++ Mesa-7.8.2/src/mesa/glapi/gen/extension_helper.py	2010-12-06 15:28:35.000000000 +1100
@@ -150,9 +150,9 @@
 
 
 	def printRealHeader(self):
-		print '#include "utils.h"'
-		print '#include "main/dispatch.h"'
-		print ''
+		print ('#include "utils.h"')
+		print ('#include "main/dispatch.h"')
+		print ('')
 		return
 
 
@@ -161,16 +161,16 @@
 
 		category_list = {}
 
-		print '#ifndef NULL'
-		print '# define NULL 0'
-		print '#endif'
-		print ''
+		print ('#ifndef NULL')
+		print ('# define NULL 0')
+		print ('#endif')
+		print ('')
 
 		for f in api.functionIterateAll():
 			condition = condition_for_function(f, abi, 0)
 			if len(condition):
-				print '#if %s' % (string.join(condition, " || "))
-				print 'static const char %s_names[] =' % (f.name)
+				print ('#if %s' % (string.join(condition, " || ")))
+				print ('static const char %s_names[] =' % (f.name))
 
 				parameter_signature = ''
 				for p in f.parameterIterator():
@@ -189,10 +189,10 @@
 					else:
 						parameter_signature += 'd'
 
-				print '    "%s\\0" /* Parameter signature */' % (parameter_signature)
+				print ('    "%s\\0" /* Parameter signature */' % (parameter_signature))
 
 				for n in f.entry_points:
-					print '    "gl%s\\0"' % (n)
+					print ('    "gl%s\\0"' % (n))
 
 					[category, num] = api.get_category_for_name( n )
 					if category not in abi:
@@ -202,16 +202,16 @@
 
 						category_list[ c ].append( f )
 
-				print '    "";'
-				print '#endif'
-				print ''
+				print ('    "";')
+				print ('#endif')
+				print ('')
 
 		keys = category_list.keys()
 		keys.sort()
 
 		for category in keys:
-			print '#if defined(need_%s)' % (category)
-			print 'static const struct dri_extension_function %s_functions[] = {' % (category)
+			print ('#if defined(need_%s)' % (category))
+			print ('static const struct dri_extension_function %s_functions[] = {' % (category))
 			
 			for f in category_list[ category ]:
 				# A function either has an offset that is
@@ -224,13 +224,13 @@
 					index_name = "%s_remap_index" % (f.name)
 					offset = -1
 
-				print '    { %s_names, %s, %d },' % (f.name, index_name, offset)
+				print ('    { %s_names, %s, %d },' % (f.name, index_name, offset))
 
 
-			print '    { NULL, 0, 0 }'
-			print '};'
-			print '#endif'
-			print ''
+			print ('    { NULL, 0, 0 }')
+			print ('};')
+			print ('#endif')
+			print ('')
 		
 		return
 
@@ -258,42 +258,42 @@
 
 			if condition_string != last_condition_string:
 				if last_condition_string:
-					print '#endif /* %s */' % (last_condition_string)
+					print ('#endif /* %s */' % (last_condition_string))
 
 				if condition_string:
-					print '#if %s' % (condition_string)
+					print ('#if %s' % (condition_string))
 				
 			if vtxfmt_only:
-				print '   disp->%s = vfmt->%s;' % (f.name, f.name)
+				print ('   disp->%s = vfmt->%s;' % (f.name, f.name))
 			else:
-				print '   disp->%s = _mesa_%s;' % (f.name, f.name)
+				print ('   disp->%s = _mesa_%s;' % (f.name, f.name))
 
 			last_condition_string = condition_string
 
 		if last_condition_string:
-			print '#endif /* %s */' % (last_condition_string)
+			print ('#endif /* %s */' % (last_condition_string))
 		
 
 
 	def printBody(self, api):
 		abi = [ "1.0", "1.1", "1.2", "GL_ARB_multitexture" ]
 		
-		print 'void driver_init_exec_table(struct _glapi_table *disp)'
-		print '{'
+		print ('void driver_init_exec_table(struct _glapi_table *disp)')
+		print ('{')
 		self.do_function_body(api, abi, 0)
-		print '}'
-		print ''
-		print 'void driver_install_vtxfmt(struct _glapi_table *disp, const GLvertexformat *vfmt)'
-		print '{'
+		print ('}')
+		print ('')
+		print ('void driver_install_vtxfmt(struct _glapi_table *disp, const GLvertexformat *vfmt)')
+		print ('{')
 		self.do_function_body(api, abi, 1)
-		print '}'
+		print ('}')
 
 		return
 
 
 def show_usage():
-	print "Usage: %s [-f input_file_name] [-m output_mode]" % sys.argv[0]
-	print "    -m output_mode   Output mode can be one of 'extensions' or 'exec_init'."
+	print ("Usage: %s [-f input_file_name] [-m output_mode]" % sys.argv[0])
+	print ("    -m output_mode   Output mode can be one of 'extensions' or 'exec_init'.")
 	sys.exit(1)
 
 if __name__ == '__main__':
--- Mesa-7.8.2/src/mesa/glapi/gen/gl_apitemp.py.orig	2010-06-16 03:43:43.000000000 +1000
+++ Mesa-7.8.2/src/mesa/glapi/gen/gl_apitemp.py	2010-12-06 15:28:08.000000000 +1100
@@ -92,25 +92,25 @@
 			if (cat.startswith("es") or cat.startswith("GL_OES")):
 				need_proto = True
 		if need_proto:
-			print '%s %s KEYWORD2 NAME(%s)(%s);' % (keyword, f.return_type, n, f.get_parameter_string(name))
-			print ''
+			print ('%s %s KEYWORD2 NAME(%s)(%s);' % (keyword, f.return_type, n, f.get_parameter_string(name)))
+			print ('')
 
-		print '%s %s KEYWORD2 NAME(%s)(%s)' % (keyword, f.return_type, n, f.get_parameter_string(name))
-		print '{'
+		print ('%s %s KEYWORD2 NAME(%s)(%s)' % (keyword, f.return_type, n, f.get_parameter_string(name)))
+		print ('{')
 		if p_string == "":
-			print '   %s(%s, (), (F, "gl%s();\\n"));' \
-				% (dispatch, f.name, name)
+			print ('   %s(%s, (), (F, "gl%s();\\n"));' \
+				% (dispatch, f.name, name))
 		else:
-			print '   %s(%s, (%s), (F, "gl%s(%s);\\n", %s));' \
-				% (dispatch, f.name, p_string, name, t_string, o_string)
-		print '}'
-		print ''
+			print ('   %s(%s, (%s), (F, "gl%s(%s);\\n", %s));' \
+				% (dispatch, f.name, p_string, name, t_string, o_string))
+		print ('}')
+		print ('')
 		return
 
 	def printRealHeader(self):
-		print ''
+		print ('')
 		self.printVisibility( "HIDDEN", "hidden" )
-		print """
+		print ("""
 /*
  * This file is a template which generates the OpenGL API entry point
  * functions.  It should be included by a .c file which first defines
@@ -157,13 +157,13 @@
 #error RETURN_DISPATCH must be defined
 #endif
 
-"""
+""")
 		return
 
     
 
 	def printInitDispatch(self, api):
-		print """
+		print ("""
 #endif /* defined( NAME ) */
 
 /*
@@ -180,31 +180,31 @@
 #error _GLAPI_SKIP_NORMAL_ENTRY_POINTS must not be defined
 #endif
 
-_glapi_proc DISPATCH_TABLE_NAME[] = {"""
+_glapi_proc DISPATCH_TABLE_NAME[] = {""")
 		for f in api.functionIterateByOffset():
-			print '   TABLE_ENTRY(%s),' % (f.dispatch_name())
+			print ('   TABLE_ENTRY(%s),' % (f.dispatch_name()))
 
-		print '   /* A whole bunch of no-op functions.  These might be called'
-		print '    * when someone tries to call a dynamically-registered'
-		print '    * extension function without a current rendering context.'
-		print '    */'
+		print ('   /* A whole bunch of no-op functions.  These might be called')
+		print ('    * when someone tries to call a dynamically-registered')
+		print ('    * extension function without a current rendering context.')
+		print ('    */')
 		for i in range(1, 100):
-			print '   TABLE_ENTRY(Unused),'
+			print ('   TABLE_ENTRY(Unused),')
 
-		print '};'
-		print '#endif /* DISPATCH_TABLE_NAME */'
-		print ''
+		print ('};')
+		print ('#endif /* DISPATCH_TABLE_NAME */')
+		print ('')
 		return
 
 
 	def printAliasedTable(self, api):
-		print """
+		print ("""
 /*
  * This is just used to silence compiler warnings.
  * We list the functions which are not otherwise used.
  */
 #ifdef UNUSED_TABLE_NAME
-_glapi_proc UNUSED_TABLE_NAME[] = {"""
+_glapi_proc UNUSED_TABLE_NAME[] = {""")
 
 		normal_entries = []
 		proto_entries = []
@@ -223,18 +223,18 @@
 			normal_entries.extend(normal_ents)
 			proto_entries.extend(proto_ents)
 
-		print '#ifndef _GLAPI_SKIP_NORMAL_ENTRY_POINTS'
+		print ('#ifndef _GLAPI_SKIP_NORMAL_ENTRY_POINTS')
 		for ent in normal_entries:
-			print '   TABLE_ENTRY(%s),' % (ent)
-		print '#endif /* _GLAPI_SKIP_NORMAL_ENTRY_POINTS */'
-		print '#ifndef _GLAPI_SKIP_PROTO_ENTRY_POINTS'
+			print ('   TABLE_ENTRY(%s),' % (ent))
+		print ('#endif /* _GLAPI_SKIP_NORMAL_ENTRY_POINTS */')
+		print ('#ifndef _GLAPI_SKIP_PROTO_ENTRY_POINTS')
 		for ent in proto_entries:
-			print '   TABLE_ENTRY(%s),' % (ent)
-		print '#endif /* _GLAPI_SKIP_PROTO_ENTRY_POINTS */'
+			print ('   TABLE_ENTRY(%s),' % (ent))
+		print ('#endif /* _GLAPI_SKIP_PROTO_ENTRY_POINTS */')
 
-		print '};'
-		print '#endif /*UNUSED_TABLE_NAME*/'
-		print ''
+		print ('};')
+		print ('#endif /*UNUSED_TABLE_NAME*/')
+		print ('')
 		return
 
 
@@ -271,23 +271,23 @@
 			normal_entry_points.append((func, normal_ents))
 			proto_entry_points.append((func, proto_ents))
 
-		print '#ifndef _GLAPI_SKIP_NORMAL_ENTRY_POINTS'
-		print ''
+		print ('#ifndef _GLAPI_SKIP_NORMAL_ENTRY_POINTS')
+		print ('')
 		for func, ents in normal_entry_points:
 			for ent in ents:
 				self.printFunction(func, ent)
-		print ''
-		print '#endif /* _GLAPI_SKIP_NORMAL_ENTRY_POINTS */'
-		print ''
-		print '/* these entry points might require different protocols */'
-		print '#ifndef _GLAPI_SKIP_PROTO_ENTRY_POINTS'
-		print ''
+		print ('')
+		print ('#endif /* _GLAPI_SKIP_NORMAL_ENTRY_POINTS */')
+		print ('')
+		print ('/* these entry points might require different protocols */')
+		print ('#ifndef _GLAPI_SKIP_PROTO_ENTRY_POINTS')
+		print ('')
 		for func, ents in proto_entry_points:
 			for ent in ents:
 				self.printFunction(func, ent)
-		print ''
-		print '#endif /* _GLAPI_SKIP_PROTO_ENTRY_POINTS */'
-		print ''
+		print ('')
+		print ('#endif /* _GLAPI_SKIP_PROTO_ENTRY_POINTS */')
+		print ('')
 
 		self.printInitDispatch(api)
 		self.printAliasedTable(api)
@@ -295,8 +295,8 @@
 
 
 def show_usage():
-	print "Usage: %s [-f input_file_name] [-c]" % sys.argv[0]
-	print "-c          Enable compatibility with OpenGL ES."
+	print ("Usage: %s [-f input_file_name] [-c]" % sys.argv[0])
+	print ("-c          Enable compatibility with OpenGL ES.")
 	sys.exit(1)
 
 if __name__ == '__main__':
--- Mesa-7.8.2/src/mesa/glapi/gen/gl_enums.py.orig	2010-06-16 03:43:43.000000000 +1000
+++ Mesa-7.8.2/src/mesa/glapi/gen/gl_enums.py	2010-12-06 15:26:22.000000000 +1100
@@ -42,20 +42,20 @@
 
 
 	def printRealHeader(self):
-		print '#include "main/glheader.h"'
-		print '#include "main/mfeatures.h"'
-		print '#include "main/enums.h"'
-		print '#include "main/imports.h"'
-		print ''
-		print 'typedef struct {'
-		print '   size_t offset;'
-		print '   int n;'
-		print '} enum_elt;'
-		print ''
+		print ('#include "main/glheader.h"')
+		print ('#include "main/mfeatures.h"')
+		print ('#include "main/enums.h"')
+		print ('#include "main/imports.h"')
+		print ('')
+		print ('typedef struct {')
+		print ('   size_t offset;')
+		print ('   int n;')
+		print ('} enum_elt;')
+		print ('')
 		return
 
 	def print_code(self):
-		print """
+		print ("""
 typedef int (*cfunc)(const void *, const void *);
 
 /**
@@ -147,7 +147,7 @@
    return (f != NULL) ? f->n : -1;
 }
 
-"""
+""")
 		return
 
 
@@ -174,34 +174,34 @@
 
 		string_offsets = {}
 		i = 0;
-		print 'LONGSTRING static const char enum_string_table[] = '
+		print ('LONGSTRING static const char enum_string_table[] = ')
 		for [name, enum] in name_table:
-			print '   "%s\\0"' % (name)
+			print ('   "%s\\0"' % (name))
 			string_offsets[ name ] = i
 			i += len(name) + 1
 
-		print '   ;'
-		print ''
+		print ('   ;')
+		print ('')
 
 
-		print 'static const enum_elt all_enums[%u] =' % (len(name_table))
-		print '{'
+		print ('static const enum_elt all_enums[%u] =' % (len(name_table)))
+		print ('{')
 		for [name, enum] in name_table:
-			print '   { %5u, 0x%08X }, /* %s */' % (string_offsets[name], enum, name)
-		print '};'
-		print ''
+			print ('   { %5u, 0x%08X }, /* %s */' % (string_offsets[name], enum, name))
+		print ('};')
+		print ('')
 
-		print 'static const unsigned reduced_enums[%u] =' % (len(keys))
-		print '{'
+		print ('static const unsigned reduced_enums[%u] =' % (len(keys)))
+		print ('{')
 		for enum in keys:
 			name = enum_table[ enum ]
 			if [name, enum] not in name_table:
-				print '      /* Error! %s, 0x%04x */ 0,' % (name, enum)
+				print ('      /* Error! %s, 0x%04x */ 0,' % (name, enum))
 			else:
 				i = name_table.index( [name, enum] )
 
-				print '      %4u, /* %s */' % (i, name)
-		print '};'
+				print ('      %4u, /* %s */' % (i, name))
+		print ('};')
 
 
 		self.print_code()
@@ -222,7 +222,7 @@
 
 
 def show_usage():
-	print "Usage: %s [-f input_file_name]" % sys.argv[0]
+	print ("Usage: %s [-f input_file_name]" % sys.argv[0])
 	sys.exit(1)
 
 if __name__ == '__main__':
--- Mesa-7.8.2/src/mesa/glapi/gen/gl_offsets.py.orig	2010-06-16 03:43:43.000000000 +1000
+++ Mesa-7.8.2/src/mesa/glapi/gen/gl_offsets.py	2010-12-06 15:25:29.000000000 +1100
@@ -42,8 +42,8 @@
 		return
 
 	def printBody(self, api):
-		print '/* this file should not be included directly in mesa */'
-		print ''
+		print ('/* this file should not be included directly in mesa */')
+		print ('')
 
 		functions = []
 		abi_functions = []
@@ -62,41 +62,41 @@
 					alias_functions.append(f)
 
 		for f in abi_functions:
-			print '#define _gloffset_%s %d' % (f.name, f.offset)
+			print ('#define _gloffset_%s %d' % (f.name, f.offset))
 			last_static = f.offset
 
-		print ''
-		print '#if !defined(_GLAPI_USE_REMAP_TABLE)'
-		print ''
+		print ('')
+		print ('#if !defined(_GLAPI_USE_REMAP_TABLE)')
+		print ('')
 
 		for [f, index] in functions:
-			print '#define _gloffset_%s %d' % (f.name, f.offset)
+			print ('#define _gloffset_%s %d' % (f.name, f.offset))
 
-		print '#define _gloffset_FIRST_DYNAMIC %d' % (api.next_offset)
+		print ('#define _gloffset_FIRST_DYNAMIC %d' % (api.next_offset))
 
-		print ''
-		print '#else'
-		print ''
+		print ('')
+		print ('#else')
+		print ('')
 
 		for [f, index] in functions:
-			print '#define _gloffset_%s driDispatchRemapTable[%s_remap_index]' % (f.name, f.name)
+			print ('#define _gloffset_%s driDispatchRemapTable[%s_remap_index]' % (f.name, f.name))
 
-		print ''
-		print '#endif /* !defined(_GLAPI_USE_REMAP_TABLE) */'
+		print ('')
+		print ('#endif /* !defined(_GLAPI_USE_REMAP_TABLE) */')
 
 		if alias_functions:
-			print ''
-			print '/* define aliases for compatibility */'
+			print ('')
+			print ('/* define aliases for compatibility */')
 			for f in alias_functions:
 				for name in f.entry_points:
 					if name != f.name:
-						print '#define _gloffset_%s _gloffset_%s' % (name, f.name)
+						print ('#define _gloffset_%s _gloffset_%s' % (name, f.name))
 		return
 
 
 def show_usage():
-	print "Usage: %s [-f input_file_name] [-c]" % sys.argv[0]
-	print "    -c        Enable compatibility with OpenGL ES."
+	print ("Usage: %s [-f input_file_name] [-c]" % sys.argv[0])
+	print ("    -c        Enable compatibility with OpenGL ES.")
 	sys.exit(1)
 
 if __name__ == '__main__':
--- Mesa-7.8.2/src/mesa/glapi/gen/gl_procs.py.orig	2010-06-16 03:43:43.000000000 +1000
+++ Mesa-7.8.2/src/mesa/glapi/gen/gl_procs.py	2010-12-06 15:25:08.000000000 +1100
@@ -42,7 +42,7 @@
 
 
 	def printRealHeader(self):
-		print """
+		print ("""
 /* This file is only included by glapi.c and is used for
  * the GetProcAddress() function
  */
@@ -65,31 +65,31 @@
 #  define NAME_FUNC_OFFSET(n,f1,f2,f3,o) { n , (_glapi_proc) f3 , o }
 #endif
 
-"""
+""")
 		return
 
 	def printRealFooter(self):
-		print ''
-		print '#undef NAME_FUNC_OFFSET'
+		print ('')
+		print ('#undef NAME_FUNC_OFFSET')
 		return
 
 	def printFunctionString(self, name):
 		if self.long_strings:
-			print '    "gl%s\\0"' % (name)
+			print ('    "gl%s\\0"' % (name))
 		else:
-			print "    'g','l',",
+			print ("    'g','l',",)
 			for c in name:
-				print "'%s'," % (c),
+				print ("'%s'," % (c),)
 			
-			print "'\\0',"
+			print ("'\\0',")
 
 
 	def printBody(self, api):
-		print ''
+		print ('')
 		if self.long_strings:
-			print 'static const char gl_string_table[] ='
+			print ('static const char gl_string_table[] =')
 		else:
-			print 'static const char gl_string_table[] = {'
+			print ('static const char gl_string_table[] = {')
 
 		base_offset = 0
 		table = []
@@ -120,26 +120,26 @@
 
 
 		if self.long_strings:
-			print '    ;'
+			print ('    ;')
 		else:
-			print '};'
+			print ('};')
 
-		print ''
-		print ''
-		print "#ifdef USE_MGL_NAMESPACE"
+		print ('')
+		print ('')
+		print ("#ifdef USE_MGL_NAMESPACE")
 		for func in api.functionIterateByOffset():
 			for n in func.entry_points:
 				if (not func.is_static_entry_point(func.name)) or (func.has_different_protocol(n) and not func.is_static_entry_point(n)):
-					print '#define gl_dispatch_stub_%u mgl_dispatch_stub_%u' % (func.offset, func.offset)
+					print ('#define gl_dispatch_stub_%u mgl_dispatch_stub_%u' % (func.offset, func.offset))
 					break
-		print "#endif /* USE_MGL_NAMESPACE */"
-		print ''
-		print ''
-		print '#if defined(NEED_FUNCTION_POINTER) || defined(GLX_INDIRECT_RENDERING)'
+		print ("#endif /* USE_MGL_NAMESPACE */")
+		print ('')
+		print ('')
+		print ('#if defined(NEED_FUNCTION_POINTER) || defined(GLX_INDIRECT_RENDERING)')
 		for func in api.functionIterateByOffset():
 			for n in func.entry_points:
 				if (not func.is_static_entry_point(func.name)) or (func.has_different_protocol(n) and not func.is_static_entry_point(n)):
-					print '%s GLAPIENTRY gl_dispatch_stub_%u(%s);' % (func.return_type, func.offset, func.get_parameter_string())
+					print ('%s GLAPIENTRY gl_dispatch_stub_%u(%s);' % (func.return_type, func.offset, func.get_parameter_string()))
 					break
 
 		if self.es:
@@ -154,37 +154,37 @@
 								% (func.return_type, "gl" + n, func.get_parameter_string(n))
 						categories[cat].append(proto)
 			if categories:
-				print ''
-				print '/* OpenGL ES specific prototypes */'
-				print ''
+				print ('')
+				print ('/* OpenGL ES specific prototypes */')
+				print ('')
 				keys = categories.keys()
 				keys.sort()
 				for key in keys:
-					print '/* category %s */' % key
-					print "\n".join(categories[key])
-				print ''
+					print ('/* category %s */' % key)
+					print ("\n".join(categories[key]))
+				print ('')
 
-		print '#endif /* defined(NEED_FUNCTION_POINTER) || defined(GLX_INDIRECT_RENDERING) */'
+		print ('#endif /* defined(NEED_FUNCTION_POINTER) || defined(GLX_INDIRECT_RENDERING) */')
 
-		print ''
-		print 'static const glprocs_table_t static_functions[] = {'
+		print ('')
+		print ('static const glprocs_table_t static_functions[] = {')
 
 		for info in table:
-			print '    NAME_FUNC_OFFSET(%5u, %s, %s, %s, _gloffset_%s),' % info
+			print ('    NAME_FUNC_OFFSET(%5u, %s, %s, %s, _gloffset_%s),' % info)
 
-		print '    NAME_FUNC_OFFSET(-1, NULL, NULL, NULL, 0)'
-		print '};'
+		print ('    NAME_FUNC_OFFSET(-1, NULL, NULL, NULL, 0)')
+		print ('};')
 		return
 
 
 def show_usage():
-	print "Usage: %s [-f input_file_name] [-m mode] [-c]" % sys.argv[0]
-	print "-c          Enable compatibility with OpenGL ES."
-	print "-m mode     mode can be one of:"
-	print "    long  - Create code for compilers that can handle very"
-	print "            long string constants. (default)"
-	print "    short - Create code for compilers that can only handle"
-	print "            ANSI C89 string constants."
+	print ("Usage: %s [-f input_file_name] [-m mode] [-c]" % sys.argv[0])
+	print ("-c          Enable compatibility with OpenGL ES.")
+	print ("-m mode     mode can be one of:")
+	print ("    long  - Create code for compilers that can handle very")
+	print ("            long string constants. (default)")
+	print ("    short - Create code for compilers that can only handle")
+	print ("            ANSI C89 string constants.")
 	sys.exit(1)
 
 if __name__ == '__main__':
